Raspberry PI - Instalacja dockerowa

Moderator: fracz

User avatar
lesny8
Posts: 2851
Joined: Mon Dec 11, 2017 9:43 pm

Post

2GB wystarczy, ale jak masz luźną kasę to możesz dołożyć i mieć 4GB ;)
Czekam na kolejne Supla Offline Party 👍
gladi
Posts: 24
Joined: Sat May 23, 2020 5:18 pm

Post

serwer startuje ale nie mogę się zalogować:
Creating supla-db ... done
Creating supla-cloud ... done
Creating supla-server ... done
SUPLA containers has been started.
pi@raspberrypi:~ $


plik .env jest, podałem ip swoje mam zewnętrzne ,łączy sie ale za każdym razem nawet jak podaje emaila dobrego to wywala mi takie komunikaty , co robie źle ?
You do not have the required permissions to view the files attached to this post.
User avatar
lesny8
Posts: 2851
Joined: Mon Dec 11, 2017 9:43 pm

Post

Trochę stary ten Cloud

Code: Select all

 docker ps 
Czekam na kolejne Supla Offline Party 👍
gladi
Posts: 24
Joined: Sat May 23, 2020 5:18 pm

Post

otrzymałem takie coś:



CONTAINER ID IMAGE COMMAND CREATED STATUS PORTS NAMES
7b5b5b1c9c6b supla/supla-server:arm32v6 "/usr/bin/server-ent…" 22 hours ago Up 22 hours 0.0.0.0:2015-2016->2015-2016/tcp supla-server
530e2011eb2f supla/supla-cloud:arm32v6 "docker-php-entrypoi…" 22 hours ago Up 22 hours 0.0.0.0:80->80/tcp, 0.0.0.0:443->443/tcp supla-cloud
30cb0c9ce5d6 hypriot/rpi-mysql:5.5 "/entrypoint.sh mysq…" 22 hours ago Up 22 hours 3306/tcp supla-db
pi@raspberrypi:~ $
User avatar
lesny8
Posts: 2851
Joined: Mon Dec 11, 2017 9:43 pm

Post

Na jakim sprzęcie to uruchamiasz?
Czekam na kolejne Supla Offline Party 👍
gladi
Posts: 24
Joined: Sat May 23, 2020 5:18 pm

Post

instaluje na Pi Zero, poddałem się i sformatowałem kartę, zrobiłem jeszcze jedną próbę tym razem według twojego tutoriala na proxy, i poszło działa mogę się już zalogować, podepnę jakiegoś sonofa i potestuję .
posypało mi się tylko przy instalacji suplascript

Starting SUPLA Scripts containers
Creating network "suplascripts_default" with the default driver
Building suplascripts
Step 1/10 : FROM php:7.1.27-apache-stretch
7.1.27-apache-stretch: Pulling from library/php
fac132c5d16f: Pull complete
81b01ea1cc93: Pull complete
1f6dbde6a9fe: Pull complete
e0a44078fb42: Pull complete
1c5dd1d3e43f: Pull complete
0603d19f2293: Pull complete
08985eae825a: Pull complete
202744a8f70a: Pull complete
f9b4ae7878a2: Pull complete
becb47c03e6e: Pull complete
fc2e866fb81f: Pull complete
70b305f1e908: Pull complete
Digest: sha256:0addb7cb506f408403aa172052e3e462f6d6d9f9bcf46efddf66ecc77e3f8fee
Status: Downloaded newer image for php:7.1.27-apache-stretch
---> 42b69c7f2cf1
Step 2/10 : WORKDIR /var/www
---> Running in bd33a7ec137a
Removing intermediate container bd33a7ec137a
---> cccbacf5d60a
Step 3/10 : RUN apt-get update && apt-get install -y --no-install-recommends libicu-dev libpq-dev ca-certificates ssl-cert libcurl4-gnutls-dev git unzip mysql-client supervisor cron wget zlib1g-dev && update-ca-certificates && docker-php-ext-install pdo_mysql opcache curl zip && apt-get autoremove && rm -r /var/lib/apt/lists/*
---> Running in da439529643f
ERROR: Service 'suplascripts' failed to build : The command '/bin/sh -c apt-get update && apt-get install -y --no-install-recommends libicu-dev libpq-dev ca-certificates ssl-cert libcurl4-gnutls-dev git unzip mysql-client supervisor cron wget zlib1g-dev && update-ca-certificates && docker-php-ext-install pdo_mysql opcache curl zip && apt-get autoremove && rm -r /var/lib/apt/lists/*' returned a non-zero code: 139
User avatar
slawek
Posts: 2466
Joined: Mon Mar 14, 2016 11:48 pm
Location: Biała Podlaska

Post

Próbuję postawić dockera na Pi 3b+ i przy próbie instalacji docker-compose mam taki komunikat:
pyrsistent requires Python '>=3.5' but the running Python is 2.7.16
Jakieś szybkie rozwiązanie?
Docker version 20.10.4, build d3cb89e
TEORIA jest wtedy gdy wszystko wiemy i nic nie działa
PRAKTYKA jest wtedy gdy wszystko działa a my nie wiemy dlaczego
My łączymy teorię z praktyką czyli nic nie działa i nikt nie wie dlaczego
User avatar
lesny8
Posts: 2851
Joined: Mon Dec 11, 2017 9:43 pm

Post

Czekam na kolejne Supla Offline Party 👍
User avatar
slawek
Posts: 2466
Joined: Mon Mar 14, 2016 11:48 pm
Location: Biała Podlaska

Post

docker-compose version 1.28.5, build unknown
Jak zwykle jesteś Wielki - dzięki :)
TEORIA jest wtedy gdy wszystko wiemy i nic nie działa
PRAKTYKA jest wtedy gdy wszystko działa a my nie wiemy dlaczego
My łączymy teorię z praktyką czyli nic nie działa i nikt nie wie dlaczego
User avatar
slawek
Posts: 2466
Joined: Mon Mar 14, 2016 11:48 pm
Location: Biała Podlaska

Post

Chyba jednak coś poszło nie tak:

Code: Select all

pi@raspberrypi:~ $ nano supla-docker/.env
pi@raspberrypi:~ $ ./supla-docker/supla.sh start
Starting SUPLA containers
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 600, in urlopen
    chunked=chunked)
  File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 354, in _make_request
    conn.request(method, url, **httplib_request_kw)
  File "/usr/lib/python3.7/http/client.py", line 1244, in request
    self._send_request(method, url, body, headers, encode_chunked)
  File "/usr/lib/python3.7/http/client.py", line 1290, in _send_request
    self.endheaders(body, encode_chunked=encode_chunked)
  File "/usr/lib/python3.7/http/client.py", line 1239, in endheaders
    self._send_output(message_body, encode_chunked=encode_chunked)
  File "/usr/lib/python3.7/http/client.py", line 1026, in _send_output
    self.send(msg)
  File "/usr/lib/python3.7/http/client.py", line 966, in send
    self.connect()
  File "/home/pi/.local/lib/python3.7/site-packages/docker/transport/unixconn.py", line 43, in connect
    sock.connect(self.unix_socket)
PermissionError: [Errno 13] Permission denied

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/requests/adapters.py", line 449, in send
    timeout=timeout
  File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 638, in urlopen
    _stacktrace=sys.exc_info()[2])
  File "/usr/lib/python3/dist-packages/urllib3/util/retry.py", line 367, in increment
    raise six.reraise(type(error), error, _stacktrace)
  File "/usr/lib/python3/dist-packages/six.py", line 692, in reraise
    raise value.with_traceback(tb)
  File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 600, in urlopen
    chunked=chunked)
  File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 354, in _make_request
    conn.request(method, url, **httplib_request_kw)
  File "/usr/lib/python3.7/http/client.py", line 1244, in request
    self._send_request(method, url, body, headers, encode_chunked)
  File "/usr/lib/python3.7/http/client.py", line 1290, in _send_request
    self.endheaders(body, encode_chunked=encode_chunked)
  File "/usr/lib/python3.7/http/client.py", line 1239, in endheaders
    self._send_output(message_body, encode_chunked=encode_chunked)
  File "/usr/lib/python3.7/http/client.py", line 1026, in _send_output
    self.send(msg)
  File "/usr/lib/python3.7/http/client.py", line 966, in send
    self.connect()
  File "/home/pi/.local/lib/python3.7/site-packages/docker/transport/unixconn.py", line 43, in connect
    sock.connect(self.unix_socket)
urllib3.exceptions.ProtocolError: ('Connection aborted.', PermissionError(13, 'Permission denied'))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/pi/.local/lib/python3.7/site-packages/docker/api/client.py", line 214, in _retrieve_server_version
    return self.version(api_version=False)["ApiVersion"]
  File "/home/pi/.local/lib/python3.7/site-packages/docker/api/daemon.py", line 181, in version
    return self._result(self._get(url), json=True)
  File "/home/pi/.local/lib/python3.7/site-packages/docker/utils/decorators.py", line 46, in inner
    return f(self, *args, **kwargs)
  File "/home/pi/.local/lib/python3.7/site-packages/docker/api/client.py", line 237, in _get
    return self.get(url, **self._set_request_timeout(kwargs))
  File "/usr/lib/python3/dist-packages/requests/sessions.py", line 546, in get
    return self.request('GET', url, **kwargs)
  File "/usr/lib/python3/dist-packages/requests/sessions.py", line 533, in request
    resp = self.send(prep, **send_kwargs)
  File "/usr/lib/python3/dist-packages/requests/sessions.py", line 646, in send
    r = adapter.send(request, **kwargs)
  File "/usr/lib/python3/dist-packages/requests/adapters.py", line 498, in send
    raise ConnectionError(err, request=request)
requests.exceptions.ConnectionError: ('Connection aborted.', PermissionError(13, 'Permission denied'))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/local/bin/docker-compose", line 10, in <module>
    sys.exit(main())
  File "/home/pi/.local/lib/python3.7/site-packages/compose/cli/main.py", line 80, in main
    command_func()
  File "/home/pi/.local/lib/python3.7/site-packages/compose/cli/main.py", line 189, in perform_command
    project = project_from_options('.', options)
  File "/home/pi/.local/lib/python3.7/site-packages/compose/cli/command.py", line 70, in project_from_options
    enabled_profiles=get_profiles_from_options(options, environment)
  File "/home/pi/.local/lib/python3.7/site-packages/compose/cli/command.py", line 153, in get_project
    verbose=verbose, version=api_version, context=context, environment=environment
  File "/home/pi/.local/lib/python3.7/site-packages/compose/cli/docker_client.py", line 43, in get_client
    environment=environment, tls_version=get_tls_version(environment)
  File "/home/pi/.local/lib/python3.7/site-packages/compose/cli/docker_client.py", line 170, in docker_client
    client = APIClient(use_ssh_client=not use_paramiko_ssh, **kwargs)
  File "/home/pi/.local/lib/python3.7/site-packages/docker/api/client.py", line 197, in __init__
    self._version = self._retrieve_server_version()
  File "/home/pi/.local/lib/python3.7/site-packages/docker/api/client.py", line 222, in _retrieve_server_version
    'Error while fetching server API version: {0}'.format(e)
docker.errors.DockerException: Error while fetching server API version: ('Connection aborted.', PermissionError(13, 'Permission denied'))
EDIT: Po wygenerowaniu .env trzeba zrobić reboot... buduje się :)
TEORIA jest wtedy gdy wszystko wiemy i nic nie działa
PRAKTYKA jest wtedy gdy wszystko działa a my nie wiemy dlaczego
My łączymy teorię z praktyką czyli nic nie działa i nikt nie wie dlaczego

Return to “supla-docker”